Bug 1025033 - Post-configure being called for secondary web_framework gear during application creation
Post-configure being called for secondary web_framework gear during applicati...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 15:07 EDT by Abhishek Gupta
Modified: 2015-05-14 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:27:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhishek Gupta 2013-10-30 15:07:44 EDT
Description of problem:
During an application creation, if 2+ gears are being specified for the web_framework cartridge, then the post-configure is being called on the secondary gears (non app-dns gears) as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an app with min-scale equal to 2 or more
2. 
3.

Actual results:
Post-configure being called for secondary web_framework gears

Expected results:
Post-configure should not be called for secondary web_framework gears

Additional info:
Comment 1 Abhishek Gupta 2013-10-30 15:22:34 EDT
Fixed with --> https://github.com/openshift/origin-server/pull/4055
Comment 3 Jianwei Hou 2013-10-31 05:38:31 EDT
Verified on devenv_3973, the post-configure script is being called on primary gear.

Tested with cartridge https://raw.github.com/jhou1/openshift-custom-perl/master/metadata/manifest.yml

2013-10-31 05:33:36.115 [DEBUG] DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"haproxy-1.4", :action=>"post-configure", :args=>{"--with-app-uuid"=>"527223c783b701f533000169", "--with-app-name"=>"perl1s", "--with-container-uuid"=>"527223c783b701f533000169", "--with-container-name"=>"perl1s", "--with-namespace"=>"jhou", "--with-uid"=>6886, "--with-request-id"=>"8471d69b7162b0c247184d7f18088147", "--cart-name"=>"haproxy-1.4", "--component-name"=>"web_proxy", "--with-software-version"=>"1.4", "--cartridge-vendor"=>"redhat"}}, ip-10-82-221-10, {'identity' => ip-10-82-221-10}) (Request ID: 8471d69b7162b0c247184d7f18088147) (pid:14900)
2013-10-31 05:33:39.237 [DEBUG] DEBUG: MCollective Response Time (execute_direct: post-configure): 3.122525853s  (Request ID: 8471d69b7162b0c247184d7f18088147) (pid:14900)
2013-10-31 05:33:41.873 [DEBUG] DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"1jhou-perl-5.10", :action=>"post-configure", :args=>{"--with-app-uuid"=>"527223c783b701f533000169", "--with-app-name"=>"perl1s", "--with-container-uuid"=>"527223c783b701f533000169", "--with-container-name"=>"perl1s", "--with-namespace"=>"jhou", "--with-uid"=>6886, "--with-request-id"=>"8471d69b7162b0c247184d7f18088147", "--cart-name"=>"perl-5.10", "--component-name"=>"1jhou-perl-5.10", "--with-software-version"=>"5.10", "--cartridge-vendor"=>"1jhou"}}, ip-10-82-221-10, {'identity' => ip-10-82-221-10}) (Request ID: 8471d69b7162b0c247184d7f18088147) (pid:14900)
2013-10-31 05:33:44.425 [DEBUG] DEBUG: MCollective Response Time (execute_direct: post-configure): 2.552847308s  (Request ID: 8471d69b7162b0c247184d7f18088147) (pid:14900)

Note You need to log in before you can comment on or make changes to this bug.